c
      program esercizio2
c
c----------------------------------------------------
c Damiano Pasetto - Laboratorio di Calcolo Numerico
c----------------------------------------------------
c
c Questo programma calcola le radici reali dell'equazione di 
c secondo grado
c  
c      a x^2 + b x + c = 0
c      
c INPUT: a, b, c
c
c OUTPUT: x1, x2
c
c Le variabili di input sono lette da terminale.
c Le variabili di output sono stampate sul terminale
c
      implicit none
      real*8  a, b, c, delta, x1,x2

      write(*,*) 'Inserire i coefficienti a, b, c'
      read(5,*) a, b, c
c calcolo il discriminante:
      delta = b**2 - 4 *a *c
      
      if (delta.lt.0) then
         write(*,*)'Attenzione: il discriminanete e'' negativo:'
         write(*,*)'delta = ',delta
         write(*,*)'L''equazione non ammette radici reali'
         stop
      else if (delta.eq.0) then
          write(*,*)'Il discriminante e'' nullo:'
          write(*,*)'delta = ',delta
          write(*,*)'L''equazione ammette due radici reali coincidenti:'

          x1= -b/(2*a)

          write(*,*)'x1 = x2 = ', x1
      else
          write(*,*)'Il discriminante e'' positivo:'
          write(*,*)'delta = ',delta
          write(*,*)'L''equazione ammette due radici reali distinte:'

          x1= (-b-sqrt(delta))/(2*a)
          x2= (-b+sqrt(delta))/(2*a)

          write(*,*)'x_1 = ', x1
          write(*,*)'x_2 = ', x2
      end if

      stop
      end 

